> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Citations overview (summary stats, distributions, top growing)



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/brands/{brand_id}/citations/overview
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/citations/overview:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Citations
      summary: Citations overview (summary stats, distributions, top growing)
      operationId: get_brand_citations_overview
      parameters:
        - name: filter[target_brand]
          in: query
          required: false
          description: >-
            Target brand name used for mention attribution. Defaults to the
            workspace brand's name.
          schema:
            type: string
        - name: filter[ran_at_start]
          in: query
          required: false
          description: Start of the ran_at window (ISO8601). Defaults to 30 days ago.
          schema:
            type: string
            format: date-time
        - name: filter[ran_at_end]
          in: query
          required: false
          description: End of the ran_at window (ISO8601). Defaults to end of today.
          schema:
            type: string
            format: date-time
        - name: filter[topic_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[brand_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[provider_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[region_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: overview payload
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      summary_stats:
                        type: object
                        properties:
                          total_citations:
                            type: object
                            properties:
                              count:
                                type: integer
                              delta_percent:
                                type: number
                                nullable: true
                              brand_count:
                                type: integer
                              brand_rate:
                                type: number
                              data_points:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      description: >-
                                        Local timestamp 'YYYY-MM-DDT00:00:00'
                                        (no timezone offset)
                                    count:
                                      type: integer
                                  required:
                                    - date
                                    - count
                            required:
                              - count
                              - delta_percent
                              - brand_count
                              - brand_rate
                              - data_points
                          your_citations:
                            type: object
                            properties:
                              count:
                                type: integer
                              delta_percent:
                                type: number
                                nullable: true
                                description: >-
                                  Percent change vs the previous window; null
                                  when the previous window is empty.
                              data_points:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      description: >-
                                        Local timestamp 'YYYY-MM-DDT00:00:00'
                                        (no timezone offset)
                                    count:
                                      type: integer
                                  required:
                                    - date
                                    - count
                            required:
                              - count
                              - delta_percent
                              - data_points
                          your_mentions:
                            type: object
                            properties:
                              count:
                                type: integer
                              delta_percent:
                                type: number
                                nullable: true
                                description: >-
                                  Percent change vs the previous window; null
                                  when the previous window is empty.
                              data_points:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      description: >-
                                        Local timestamp 'YYYY-MM-DDT00:00:00'
                                        (no timezone offset)
                                    count:
                                      type: integer
                                  required:
                                    - date
                                    - count
                            required:
                              - count
                              - delta_percent
                              - data_points
                          youtube_mentions:
                            type: object
                            properties:
                              count:
                                type: integer
                              delta_percent:
                                type: number
                                nullable: true
                                description: >-
                                  Percent change vs the previous window; null
                                  when the previous window is empty.
                              data_points:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      description: >-
                                        Local timestamp 'YYYY-MM-DDT00:00:00'
                                        (no timezone offset)
                                    count:
                                      type: integer
                                  required:
                                    - date
                                    - count
                            required:
                              - count
                              - delta_percent
                              - data_points
                          reddit_mentions:
                            type: object
                            properties:
                              count:
                                type: integer
                              delta_percent:
                                type: number
                                nullable: true
                                description: >-
                                  Percent change vs the previous window; null
                                  when the previous window is empty.
                              data_points:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      description: >-
                                        Local timestamp 'YYYY-MM-DDT00:00:00'
                                        (no timezone offset)
                                    count:
                                      type: integer
                                  required:
                                    - date
                                    - count
                            required:
                              - count
                              - delta_percent
                              - data_points
                        required:
                          - total_citations
                          - your_citations
                          - your_mentions
                          - youtube_mentions
                          - reddit_mentions
                      distributions:
                        type: object
                        properties:
                          citations:
                            type: object
                            properties:
                              by_provider:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                              by_topic:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                              by_region:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                            required:
                              - by_provider
                              - by_topic
                              - by_region
                          mentions:
                            type: object
                            properties:
                              by_provider:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                              by_topic:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                              by_region:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                      description: >-
                                        Resolved provider/topic/region name;
                                        'Unknown' when unresolvable.
                                    count:
                                      type: integer
                                    percent:
                                      type: number
                                  required:
                                    - id
                                    - name
                                    - count
                                    - percent
                            required:
                              - by_provider
                              - by_topic
                              - by_region
                        required:
                          - citations
                          - mentions
                      top_growing:
                        type: object
                        properties:
                          domains_overall:
                            type: array
                            items:
                              type: object
                              properties:
                                domain:
                                  type: string
                                domain_type:
                                  type: string
                                  nullable: true
                                current_count:
                                  type: integer
                                previous_count:
                                  type: integer
                                growth_rate:
                                  type: number
                              required:
                                - domain
                                - domain_type
                                - current_count
                                - previous_count
                                - growth_rate
                          domains_just_me:
                            type: array
                            items:
                              type: object
                              properties:
                                domain:
                                  type: string
                                domain_type:
                                  type: string
                                  nullable: true
                                current_count:
                                  type: integer
                                previous_count:
                                  type: integer
                                growth_rate:
                                  type: number
                              required:
                                - domain
                                - domain_type
                                - current_count
                                - previous_count
                                - growth_rate
                          pages_overall:
                            type: array
                            items:
                              type: object
                              properties:
                                page:
                                  type: string
                                domain:
                                  type: string
                                page_type:
                                  type: string
                                  nullable: true
                                current_count:
                                  type: integer
                                previous_count:
                                  type: integer
                                growth_rate:
                                  type: number
                              required:
                                - page
                                - domain
                                - page_type
                                - current_count
                                - previous_count
                                - growth_rate
                          pages_just_me:
                            type: array
                            items:
                              type: object
                              properties:
                                page:
                                  type: string
                                domain:
                                  type: string
                                page_type:
                                  type: string
                                  nullable: true
                                current_count:
                                  type: integer
                                previous_count:
                                  type: integer
                                growth_rate:
                                  type: number
                              required:
                                - page
                                - domain
                                - page_type
                                - current_count
                                - previous_count
                                - growth_rate
                        required:
                          - domains_overall
                          - domains_just_me
                          - pages_overall
                          - pages_just_me
                    required:
                      - summary_stats
                      - distributions
                      - top_growing
                required:
                  - data
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````